/*
  Base
*/

body {
  font-family: "PT Serif", Georgia, "Times New Roman", serif;
  font-size: 18px;
  color: #515151;
  line-height: 1.75rem;
}

@media (max-width: 30em) {
  body {
    font-size: 14px;
    line-height: 1.5rem;
  }
  body h1 {
    font-size: 1.5rem;
  }
}

h1{
  font-size: 2rem;
}

h1 a {
  text-decoration: none;
}

h1, h2, h3, h4, h5, h6 {
  font-family: "Quattrocento Sans", sans-serif;
  color: #333;
}

a {
  text-decoration: underline;
  color: #333;
}

a:hover {
  color: black;
  border-bottom: none;
}

img {
  max-width: 100%;
  height: auto;
  border-radius: 5px;
}

blockquote {
  border-left: 0.25rem solid #ccc;
  margin: 1.5em 10px;
  color: #999;
  padding: 0.5em 10px;
  quotes: "\201C""\201D""\2018""\2019";
}
blockquote:before {
  color: #ccc;
  content: open-quote;
  font-size: 4em;
  line-height: 0.1em;
  margin-right: 0.25em;
  vertical-align: -0.4em;
}
blockquote p {
  display: inline;
}

/*
  Site container
*/

.container {
  margin-left: auto;
  margin-right: auto;
  width: 615px;
}

@media (max-width: 1366px) {
  .container {
    width: 45vw;
  }
}

/*48em*/

@media (max-width: 768px) {
  .container {
    width: 90vw;
  }
}

/*
  Masthead
*/

.masthead {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  margin-bottom: 4rem;
  font-family: "Quattrocento Sans", sans-serif;
}

.masthead a:hover {
  color:black;
}

.masthead-title a {
  font-size: 2rem;
  text-decoration: none;
  color: #505050;
}

.masthead-subtitle {
  color: #999;
}

/*
  Post
*/

.post-container {
  margin-bottom: 4rem;
}

.posts {
  margin-bottom: 5rem;
  padding: 0px;
  list-style: none;
}

.post-date {
  display: block;
  margin-top:3px;
  margin-bottom: 1rem;
  color: #9a9a9a;
  font-family: 'Quattrocento Sans', sans-serif;
  font-size:0.8rem;
}

@media (max-width: 30rem) {
  .posts h1 {
    font-size: 1.5rem;
  }
}

.related {
  padding-bottom: 2rem;
}

.related-posts {
  padding-left: 0px;
  list-style: none;
}

.related-posts a {
  text-decoration: none;
}

/*
  Pagination
*/

.pagination {
  overflow: hidden;
  font-family: 'Quattrocento Sans', sans-serif;
  text-align: center;
}

.pagination a {
  text-decoration: none;
}

.pagination-button {
  color: #999;
  border: 1px solid #e0e0e0;
  padding: 15px 45px;
  display: inline-block;
  font-size: 16px;
  font-weight: bold;
}

.pagination-active {
  color: black;
}

.pagination-active:hover {
  background-color: #e0e0e0;
}

/*
  Footer
*/

.footer {
  color: #999;
  text-align: center;
  margin: 2rem;
}

.footer a {
  color: #999;
  padding: 10px;
  text-decoration: none;
}

.footer a:hover {
  color: #333;
}

/*
  Menu
*/

.menu {
  padding-top: 0.5rem;
  display: block;
}

.menu-content {
  float: left;
}

.menu-content a {
  color: #999;
  font-size: 1rem;
  padding-right: 10px;
}

.social-icons {
  float: right;
}

.social-icons a {
  color: #999;
  font-size: 1rem;
}

@media (max-width: 30em) {
  .social-icons {
    float: left;
    padding-top: 0px;
  }
  .menu-content {
    margin-bottom: 5px;
  }
}

/*
  Code
*/

pre,
code {
    font-size: 0.8rem;
    border-radius: 3px;
    background-color: #f5f5f5;
    font-family: "Source Code Pro";
}

code {
    padding: 1px 5px;
}

pre {
    padding: 8px 12px;
    overflow-x: auto;

    > code {
        border: 0;
        padding-right: 0;
        padding-left: 0;
    }
}

.highlight .lineno {
  color: #aaa;
  display:inline-block;
  padding: 0 5px;
  border-right:1px solid #ccc;
}

.highlight pre code {
  display: block;
  white-space: pre;
  overflow-x: auto;
  word-wrap: normal;
}


/*
  Social media icons
*/

.sharing-icons a {
  padding-right: 10px;
}

.fa-envelope {
  padding: 5px;
	-o-transition:.5s;
  	-ms-transition:.5s;
  	-moz-transition:.5s;
  	-webkit-transition:.5s;
  	transition: .5s;
}

.fa-envelope:hover {
	color: #f39c12;
}

.fa-twitter {
  padding: 5px;
	-o-transition:.5s;
  	-ms-transition:.5s;
  	-moz-transition:.5s;
  	-webkit-transition:.5s;
  	transition: .5s;
}

.fa-twitter:hover {
	color: #00aced;
}

.fa-instagram {
  padding: 5px;
	-o-transition:.5s;
  	-ms-transition:.5s;
  	-moz-transition:.5s;
  	-webkit-transition:.5s;
  	transition: .5s;
}

.fa-instagram:hover {
	color: #375989;
}

.fa-github {
  padding: 5px;
	-o-transition:.5s;
  	-ms-transition:.5s;
  	-moz-transition:.5s;
  	-webkit-transition:.5s;
  	transition: .5s;
}

.fa-github:hover {
	color: #343434;
}

.fa-linkedin {
  padding: 5px;
	-o-transition:.5s;
  	-ms-transition:.5s;
  	-moz-transition:.5s;
  	-webkit-transition:.5s;
  	transition: .5s;
}

.fa-linkedin:hover {
	color: #0073a4;
}

.fa-facebook {
  padding: 5px;
	-o-transition:.5s;
  	-ms-transition:.5s;
  	-moz-transition:.5s;
  	-webkit-transition:.5s;
  	transition: .5s;
}

.fa-facebook:hover {
	color: #3d5b99;
}

.fa-google-plus {
  padding: 5px;
	-o-transition:.5s;
  	-ms-transition:.5s;
  	-moz-transition:.5s;
  	-webkit-transition:.5s;
  	transition: .5s;
}

.fa-google-plus:hover {
	color: #e64a41;
}

.fa-pinterest {
  padding: 5px;
	-o-transition:.5s;
  	-ms-transition:.5s;
  	-moz-transition:.5s;
  	-webkit-transition:.5s;
  	transition: .5s;
}

.fa-pinterest:hover {
	color: #bd081c;
}

.fa-medium {
  padding: 5px;
	-o-transition:.5s;
  	-ms-transition:.5s;
  	-moz-transition:.5s;
  	-webkit-transition:.5s;
  	transition: .5s;
}

.fa-medium:hover {
	color: #00AB6C;
}

.fa-codepen {
  padding: 5px;
	-o-transition:.5s;
  	-ms-transition:.5s;
  	-moz-transition:.5s;
  	-webkit-transition:.5s;
  	transition: .5s;
}

.fa-codepen:hover {
	color: black;
}

.fa-rss-square {
  padding: 5px;
	-o-transition:.5s;
  	-ms-transition:.5s;
  	-moz-transition:.5s;
  	-webkit-transition:.5s;
  	transition: .5s;
}

.fa-rss-square:hover {
	color: #ff6600;
}

.terminal {
  margin-top: 20px;
}
.terminal body {
  background-color: #272727;
  padding: 10px;
}
.terminal .fakeMenu {
  max-width: 550px;
  box-sizing: border-box;
  height: 25px;
  background-color: #bbb;
  margin: 0 auto;
  border-top-right-radius: 5px;
  border-top-left-radius: 5px;
}
.terminal .fakeScreen {
  background-color: #151515;
  box-sizing: border-box;
  max-width: 550px;
  margin: 0 auto;
  padding: 5px;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  overflow-x: auto;
}
.terminal p {
  padding: 5px 10px;
  text-align: left;
  font-size: 1em;
  font-family: monospace;
  word-break: break-all;
  margin: 0;
}
.terminal span {
  color: #fff;
  font-weight: bold;
  -webkit-touch-callout: none;
  /* iOS Safari */
  -webkit-user-select: none;
  /* Safari */
  -khtml-user-select: none;
  /* Konqueror HTML */
  -moz-user-select: none;
  /* Firefox */
  -ms-user-select: none;
  /* Internet Explorer/Edge */
  user-select: none;
}
.terminal .line1 {
  color: #9CD9F0;
}
.terminal .cursor1 {
  -webkit-animation: blink 2s infinite;
  -moz-animation: blink 2s infinite;
  -o-animation: blink 2s infinite;
  animation: blink 2s infinite;
}
@-webkit-keyframes blink {
  0% {
    opacity: 0;
  }
  40% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@-moz-keyframes blink {
  0% {
    opacity: 0;
  }
  40% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@-o-keyframes blink {
  0% {
    opacity: 0;
  }
  40% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes blink {
  0% {
    opacity: 0;
  }
  40% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
